// MyPoint.h: interface for the MyPoint class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_MYPOINT_H__BB676747_D8DF_11D3_98E4_004F4902DA76__INCLUDED_)
#define AFX_MYPOINT_H__BB676747_D8DF_11D3_98E4_004F4902DA76__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

class MyPoint  
{ 
private:
  long Index;
  bool NextCloseFlag;

public:
double x, y;

  MyPoint()
  { x = y = 0; Index = -1; NextCloseFlag = false;}

  MyPoint(double a, double b, int i)
  { x = a; y = b; Index = i;}

  void SetIndex(long i)
  { Index = i;}

  void SetCoordinate(double a, double b)
  { x = a; y = b;}

  void SetCoordinateAndIndex(double a, double b, long i)
  { x = a; y = b; Index = i;}

  MyPoint(double a, double b)
  { x = a; y = b; }

  MyPoint::~MyPoint()
  { }

  void SetXY(double a, double b)
  { x = a; y = b;}

  void ReturnXY(double& a, double& b)
  { a = x; b = y;}

  long ReturnIndex() {return Index;}

  void SetNextCloseFlag() {NextCloseFlag = true;}
  void ResetNextCloseFlag() {NextCloseFlag = false;}
  bool ReturnNextCloseFlag() {return NextCloseFlag;}

};

#endif // !defined(AFX_MYPOINT_H__BB676747_D8DF_11D3_98E4_004F4902DA76__INCLUDED_)
