// MyTriangFView.h : interface of the CMyTriangFView class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_MYTRIANGFVIEW_H__05F31B9C_5C5F_11D5_9B3F_004F4902DA76__INCLUDED_)
#define AFX_MYTRIANGFVIEW_H__05F31B9C_5C5F_11D5_9B3F_004F4902DA76__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "USPTriangF.h"


class CMyTriangFView : public CView
{
protected: // create from serialization only
	CMyTriangFView();
	DECLARE_DYNCREATE(CMyTriangFView)

// Attributes
public:
	CMyTriangFDoc* GetDocument();

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMyTriangFView)
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	protected:
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CMyTriangFView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

private:
  RECT r;
  double BoxXMax, BoxYMax, BoxXMin, BoxYMin;
  long NoOfPoints;
  int PlotFlag;
  double *XArr, *YArr; 
  CDC* ReturnHDCAndEraseIt();
  void PlotPoints(HDC hdc);

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CMyTriangFView)
	afx_msg void OnLoad();
	afx_msg void OnRandom();
	afx_msg void OnExecute();
	afx_msg void OnCpuMeassurement();
	afx_msg void OnLoaddat();
	afx_msg void OnSweep();
	afx_msg void OnCpuSweep();
	afx_msg void OnTest();
	afx_msg void OnUpdateSweepSave(CCmdUI* pCmdUI);
	afx_msg void OnSweepSave();
	afx_msg void OnUpdateCluster(CCmdUI* pCmdUI);
	afx_msg void OnClusteringDoclustering();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in MyTriangFView.cpp
inline CMyTriangFDoc* CMyTriangFView::GetDocument()
   { return (CMyTriangFDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MYTRIANGFVIEW_H__05F31B9C_5C5F_11D5_9B3F_004F4902DA76__INCLUDED_)
