// RandomUtilities.cpp: implementation of the RandomUtilities class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "RandomUtilities.h"

#include "time.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////


void RandomizePoints(long NoOfPoints, double* XArr, double* YArr)
{
  srand( (unsigned)time( NULL ) );

  double a = 1.0/((double)RAND_MAX);

  a = a * NoOfPoints;

  long i,j;
  long index;
  double x, y;

//  for (j = 0; j < 2; j++)
//  {
    for (i = 0; i < NoOfPoints; i++)
    { index = (long)(rand() * a );

      if (index == NoOfPoints) index = (long)(NoOfPoints * 0.5);

      x = XArr[i];
      y = YArr[i];
      XArr[i] = XArr[index];
      YArr[i] = YArr[index];
      XArr[index] = x;
      YArr[index] = y;
    }
//  }
}