#if !defined(_GLOBALS__INCLUDED_)
#define _GLOBALS__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif



#define PI 3.141592654
#define PI2 6.283185307
#define PI_HALF 1.570796327
#define TRUE 1
#define FALSE 0
#define EPSILON 0.000000000000001
#define MAX_DOUBLE 1.7E+308
#define MDELTA 10

#define BOXDELTA 0.02

#define LENGHT_OF_LINE 132
#define ARR_NO 100000   // size of a hash table

// type of graphical elements included
#define GE_POINT 1
#define GE_POLYLINE 2
#define GE_POLYFRONT 3
#define GE_PARCEL 4
#define GE_ALL 5

#define ALL_LAYERS 9999
// lenght of graphics element names
#define CH_LENGHT 9

#define NONE_COLOR 0xFFFFFF

// polymarkers
#define MK_CIRCLE 1
#define MK_PLUS 2

#define ABS(x) ( ((x) < 0 ) ? -(x):(x) )
#define SQR(x) (x * x)


typedef struct {double x, y;} Point;
typedef struct {double x, y; BOOL Used;} Point1;
typedef struct {double x, y, z; } Point3;

typedef  __int64 HugeInt;

class PointsList {
private:
  Point p;
public:
  PointsList* Next;
  
  PointsList(Point q) {p = q; Next = NULL;}
  PointsList(double x, double y) {p.x = x; p.y = y;}
  virtual ~PointsList() {;}

  void GetPoint(Point& q) {q = p;}
  Point ReturnPoint() {return p;}
};



#endif

