// SweepDialog1.cpp : implementation file
//

#include "stdafx.h"
#include "MyTriangF.h"
#include "SweepDialog1.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// SweepDialog1 dialog


SweepDialog1::SweepDialog1(CWnd* pParent /*=NULL*/)
	: CDialog(SweepDialog1::IDD, pParent)
{
	//{{AFX_DATA_INIT(SweepDialog1)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
}


void SweepDialog1::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(SweepDialog1)
		// NOTE: the ClassWizard will add DDX and DDV calls here
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(SweepDialog1, CDialog)
	//{{AFX_MSG_MAP(SweepDialog1)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// SweepDialog1 message handlers


void SweepDialog1::ReturnStringFromDouble(double d,  char* OutString)
{
  int decimal, sign;   
    
  char* buffer;
  int precision = 5;
   
  buffer = _ecvt(d, precision, &decimal, &sign );

  int i=0;  
  if (decimal < 1)
    OutString[i++] = '0';
  else
    for (i = 0; i < decimal; i++)
      OutString[i] = buffer[i];

  OutString[i] = '.';

  if (decimal < 0)
  { decimal = 0;
    d *= 10;
    while (d < 1)
    { OutString[++i] = '0';
      d *= 10;
    }
  }
   

  OutString[++i] = buffer[decimal];
  OutString[++i] = buffer[++decimal];
  OutString[++i] = buffer[++decimal];
  OutString[++i] = '\0';

}

BOOL SweepDialog1::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	// TODO: Add extra initialization here
    char NoV[32] = "";
    _ltoa( NoOfVertices, NoV, 10);
    char NoSw[32] = "";
    _ltoa(NoSwaps, NoSw, 10);
    char NoTr[32] = "";
    _ltoa(NoTring, NoTr, 10); 

    char TimeInit[32];
    char TimeSweep[32];
    char TimeTotal[32];
 
    ReturnStringFromDouble(InitTime, TimeInit);
    ReturnStringFromDouble(SweepTime, TimeSweep);
    ReturnStringFromDouble(TotalTime, TimeTotal);



    SetDlgItemText(IDC_EDIT_NO_OF_POINTS, NoV);
    SetDlgItemText(IDC_EDIT_SORTING_TIME, TimeInit);
    SetDlgItemText(IDC_EDIT_SWEEPING_TIME, TimeSweep);
    SetDlgItemText(IDC_EDIT_TOTAL_TIME, TimeTotal);

    SetDlgItemText(IDC_EDIT_NO_OF_TRIANGLES, NoTr);
    SetDlgItemText(IDC_EDIT_NO_OF_SWAPS, NoSw);
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

INT_PTR SweepDialog1::DoModal()
{
	// TODO: Add your specialized code here and/or call the base class

	
	return CDialog::DoModal();
}
